# Place a limit order

If you want to place a limit order, you can use `placeLimitOrder`

```typescript
const pool = {
  pay_coin_type: '0x26b3bc67befc214058ca78ea9a2690298d731a2d4309485ec3d40198063c4abc::usdc::USDC',
  target_coin_type: '0x26b3bc67befc214058ca78ea9a2690298d731a2d4309485ec3d40198063c4abc::usdt::USDT',
  indexer_id: '0xc420fb32c3dd279d20b55daeb08973e577df5fed1b758b839d4eec22da54bde8',
}
const LimitOrderStatus = {
  Running: 'Running',
  PartialCompleted: 'PartialCompleted',
  Completed: 'Completed',
  Cancelled: 'Cancelled',
}
const pay_coin_amount = 2000000
const price = 1.7
const expired_ts = Date.parse(new Date().toString()) + 7 * 24 * 60 * 60 * 1000
const send_key_pair = 'THE_KEY_PAIR_GENERATED_BY_YOUR_PRIVATE_KEY'

const payload = await sdk.LimitOrder.placeLimitOrder({
  pay_coin_amount,
  price,
  expired_ts,
  pay_coin_type: pool.pay_coin_type,
  target_coin_type: pool.target_coin_type,
  target_decimal: 6,
  pay_decimal: 6,
})

const tx_result = await sdk.FullClient.executeTx(send_key_pair, payload, false)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://cetus-1.gitbook.io/cetus-developer-docs/developer/via-sdk-v2/sdk-modules/cetusprotocol-limit-sdk/place-a-limit-order.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
